OnlyFans API
OnlyFansFree Trial LinksShared Free Trial Links

List Shared Free Trial Links

List all Free Trial Links shared with the account by other OF creators. Calls OnlyFans live and syncs to our cache.

GET
/api/{account}/shared-trial-links
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Query Parameters

limit?integer

The number of shared trial links to return. Default 10. Must be at least 1. Must not be greater than 100.

offset?integer

The offset used for pagination. Default 0. Must be at least 0.

pagination?integer
Value in0 | 1
synchronous?boolean

Wait for the database sync instead of processing it in the background.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/shared-trial-links?limit=10&offset=0&pagination=1&synchronous=false"
{
  "data": {
    "list": [
      {
        "id": 123,
        "trialLinkName": "Example shared trial link",
        "url": "https://onlyfans.com/username/trial/abc123",
        "subscribeDays": 30,
        "subscribeCounts": 0,
        "claimCounts": 123,
        "clicksCounts": 182,
        "expiredAt": null,
        "createdAt": "2025-01-01T01:01:01+00:00",
        "isFinished": false,
        "tags": [],
        "owner": {
          "id": 123,
          "username": "username",
          "name": "Model name",
          "avatarThumbUrl": "https://thumbs.onlyfans.com/public/files/thumbs/a123/a/aa/aaa/abc123/123/avatar.jpg"
        }
      }
    ],
    "hasMore": true
  },
  "_pagination": {
    "next_page": "https://app.onlyfansapi.com/api/acct_abc123/shared-trial-links?limit=10&offset=10"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055833,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}